/* ----------------------
		CSS Styles
	
	1. Main Style
	2. Button Menu
	3. Forms
   ---------------------- */

@import url("css/normalize.css");
@import url("css/micro-clearfix.css");
   
/* Main Style */
body {
	background-color: #1b2838;
	color: white;
	font-family: Arial, Sans-Serif;
}


header {
	background-color: #171a21;
	padding-top: 10px;
	padding-bottom: 10px;
	text-align: center;
}


#header_title {
	font-family: "Motiva Sans", Sans-serif;
	margin: 0px;
	display: inline-block;
	cursor: pointer;
}

#spanheader {
	display: block;
}



/* Button Menu */
#button_menu {
	margin: 20px auto 0px;
	display: grid;
	text-align: center;
	justify-content: center;
	grid-template-columns: 50% 50%;
	max-width: 720px;
}

div#button_menu > * {
	margin: 10px;
}

.btn_menu {
	background-color: grey;
	padding: 40px 20px 40px 20px;
	color: white;
	text-decoration: none;
}

.btn_menu:hover {
    box-shadow: inset 0 0 100px 100px rgba(255, 255, 255, 0.2);
}



/* Forms */
.forms-div1 {
	max-width: 360px;
	background-color: rgba(80, 215, 255, 0.1);
	margin-top: 20px;
	padding-top: 20px;
	padding-bottom: 20px;
	padding-right: 60px;
	padding-left: 60px;
}


form > p.form-input-title:first-child {
	margin: 0;
	margin-bottom: 2px;
	text-align: left;
	margin-left: 8px;
	margin-top: 0px;
}


form > p.form-input-title {
	margin: 0;
	margin-bottom: 2px;
	text-align: left;
	margin-left: 8px;
	margin-top: 20px;
}

input:focus {
	outline: none;
}

input.form-input {
	background-color: rgba(0, 0, 0, 0.4);
	color: white;
	border: none;
	border-radius: 10px;
	padding-right: 10px;
	padding-left: 10px;
}

input.steam-api-key_field, input.steamid64-profile-target_field {
	width: 350px;
}

.form-button {
	border-radius: 2px;
	border: none;
	display: block;
	color: #A4D7F5;
    background: rgba(47,137,188,1);
    background: -webkit-linear-gradient( top, rgba(47,137,188,1) 5%, rgba(23,67,92,1) 95%);
    background: linear-gradient( to bottom, rgba(47,137,188,1) 5%, rgba(23,67,92,1) 95%);
	padding: 5px;
	cursor: pointer;
}

.form-button:hover {
    box-shadow: inset 0 0 100px 100px rgba(0, 0, 0, 0.1);
}

.form-button:active {
    box-shadow: inset 0 0 100px 100px rgba(0, 0, 0, 0.15);
}

.form-error {
	display: inherit;
	text-align: left;
	margin-left: 8px;
	color: red;
}


